IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Delete Company List DELETEGet List GETExport Companies From List GETGet Companies From List GETList All Lists GETRename Company List PATCHAdd Companies To Multiple Lists POSTAdd Companies To List POSTDuplicate List POSTRemove Companies From List POSTCreate Company List POST
TheirStack TheirStack Logo
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
Company lists

Export Companies From List

Export companies from a saved list to a downloadable CSV or XLSX file. The export includes company details such as domain, industry, size, location, funding, and revenue data for offline analysis.

GET
/v0/company_lists/{list_id}/companies/export

Authorization

Bearer
AuthorizationBearer <token>

In: header

Path Parameters

  • list_id
    integerrequired
  • Query Parameters

  • file_format
    string
    default: "csv"

    Export format

    • csv
    • xlsx
  • limit
    integer
    1 <= valuedefault: 25

    Number of results per page

  • page
    integer
    0 <= valuedefault: 0

    Page number. Required when using page-based pagination.

  • offset
    integer
    0 <= valuedefault: 0

    Number of results to skip. Required for offset-based pagination.

  • Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X GET "https://api.theirstack.com/v0/company_lists/0/companies/export"
    {
      "url": "string"
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }

    How is this guide?

    Last updated on

    Get List GET

    Previous Page

    Get Companies From List GET

    Next Page